Name:           zathura
Version:        0.2.7
Release:        2%{?dist}
Summary:        A lightweight document viewer
Group:          Applications/Publishing
License:        zlib
URL:            http://pwmt.org/projects/%{name}/
Source0:        http://pwmt.org/projects/%{name}/download/%{name}-%{version}.tar.gz

BuildRequires:  cairo-devel
BuildRequires:  desktop-file-utils
BuildRequires:  file-devel
BuildRequires:  gdk-pixbuf2-devel
BuildRequires:  gettext
BuildRequires:  girara-devel
BuildRequires:  glib2-devel
BuildRequires:  gtk3-devel
BuildRequires:  poppler-glib-devel
BuildRequires:  python-docutils

%description
Zathura is a highly customizable and functional document viewer.
It provides a minimalistic and space saving interface as well as
an easy usage that mainly focuses on keyboard interaction.

Zathura requires plugins to support document formats.
For instance:
* zathura-pdf-poppler to open PDF files,
* zathura-ps to open PostScript files,
* zathura-djvu to open DjVu files.
All of these are available as separate packages in Fedora.
A zathura-plugins-all package is available should you want
to install all available plugins.

%package devel
Summary: Development files for the zathura PDF viewer
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: pkgconfig

%description devel
libraries and header files for the zathura PDF viewer.

%package plugins-all
Summary:        Zathura plugins (all plugins)
Group:          Applications/Publishing
Requires:       zathura-djvu
Requires:       zathura-pdf-poppler
Requires:       zathura-ps

%description plugins-all
This package provides all Zathura plugins.

%prep
%setup -q
# don't rebuild at install time
sed -ie "s/install:\ all/install:\ /g" Makefile
# ensure manpages are built from *.rst sources
rm -f zathura.1 zathurarc.5

%build
export CFLAGS="%{optflags}"
export LIBDIR="%{_libdir}"
# avoid stripping
export SFLAGS=
make %{_smp_mflags}

%install
export LIBDIR="%{_libdir}"
make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 zathura.desktop %{buildroot}%{_datadir}/applications/
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%find_lang zathura

%post
/sbin/ldconfig
update-desktop-database &> /dev/null || :

%postun
/sbin/ldconfig
update-desktop-database &> /dev/null || :

%files -f zathura.lang
%doc LICENSE README
%{_bindir}/*
%{_mandir}/man*/*
%{_datadir}/applications/*
%{_datadir}/dbus-1/interfaces/org.pwmt.zathura.xml

%files devel
%{_includedir}/zathura
%{_libdir}/pkgconfig/zathura.pc

%files plugins-all

%changelog
* Thu Mar 06 2014 François Cami <fcami@fedoraproject.org> - 0.2.7-2
- Rebuilt for rawhide.

* Wed Mar 05 2014 François Cami <fcami@fedoraproject.org> - 0.2.7-1
- Update to 0.2.7.

* Sat Dec 28 2013 François Cami <fcami@fedoraproject.org> - 0.2.6-1 
- Update to latest upstream.

* Sat Aug 31 2013 François Cami <fcami@fedoraproject.org> - 0.2.4-1
- New upstream release

* Tue May 28 2013 François Cami <fcami@fedoraproject.org> - 0.2.3-4
- backport cdece5922982b06e1a86dfb7dfc8cf3d225f06f0
- backport cf96d52790bc8d05a9e556e33af0b6fec1a4cb0e
- rewrite summary.

* Mon May 27 2013 François Cami <fcami@fedoraproject.org> - 0.2.3-3
- add a zathura-plugins-all subpackage.

* Mon May 27 2013 François Cami <fcami@fedoraproject.org> - 0.2.3-2
- rewrite description.

* Tue May 21 2013 Petr Šabata <contyk@redhat.com> - 0.2.3-1
- 0.2.3 build
- Use more macros

* Sun May 12 2013 François Cami <fcami@fedoraproject.org> - 0.2.2-2
- add a note about plugins to avoid future occurrences of #962097

* Fri Feb 22 2013 Kevin Fenzi <kevin@scrye.com> 0.2.2-1
- Update to 0.2.2

* Thu Feb 14 2013 Michal Schmidt <mschmidt@redhat.com> 0.2.1-2
- fix building of manpages
- use parallel make

* Mon Nov 05 2012 Kevin Fenzi <kevin@scrye.com> 0.2.1-1
- Update to 0.2.1

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.8.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May 16 2012 Marek Kasik <mkasik@redhat.com> - 0.0.8.5-4
- Rebuild (poppler-0.20.0)

* Sat Mar 31 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 0.0.8.5-3
- Fix FTBFS on recent releases
- Update URLs
- Cleanup SPEC

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.8.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 15 2011 François Cami <fcami@fedoraproject.org> - 0.0.8.5-1
- Update to latest upstream.

* Fri Oct 28 2011 Rex Dieter <rdieter@fedoraproject.org> - 0.0.8.3-6
- rebuild(poppler)

* Fri Sep 30 2011 Marek Kasik <mkasik@redhat.com> - 0.0.8.3-5
- Rebuild (poppler-0.18.0)

* Mon Sep 19 2011 Marek Kasik <mkasik@redhat.com> - 0.0.8.3-4
- Rebuild (poppler-0.17.3)

* Fri Jul 15 2011 Marek Kasik <mkasik@redhat.com> - 0.0.8.3-3
- Rebuild (poppler-0.17.0)

* Sat Apr 02 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.8.3-2
- It's update-desktop-database, not update-mime-database

* Fri Apr 01 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.8.3-1
- Update to 0.0.8.3
- Drop patch for poppler >= 0.15 (no longer needed)
- Run update-mime-database in %%post and %%postun

* Sun Mar 13 2011 Marek Kasik <mkasik@redhat.com> - 0.0.8.2-5
- Rebuild (poppler-0.16.3)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.8.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 01 2011 Rex Dieter <rdieter@fedoraproject.org> - 0.0.8.2-3
- rebuild (poppler)

* Wed Dec 15 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.0.8.2-2
- rebuild (poppler)

* Wed Dec 01 2010 François Cami <fcami@đedoraproject.ort> - 0.0.8.2-1
- new upstream version + drop merged patch (dso build fix)

* Sat Nov 06 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.0.8.1-8
- rebuilt (poppler)

* Wed Oct  6 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.0.8.1-7
- rebuild and fix for new poppler

* Fri Aug 20 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.0.8.1-6
- rebuild (poppler)

* Sun Aug 15 2010 François Cami <fcami@fedoraproject.org> 0.0.8.1-5
- switch to sed (Kevin Fenzi).
- use desktop-file-validate on the desktop file (Kevin Fenzi).

* Sun Aug 15 2010 François Cami <fcami@fedoraproject.org> 0.0.8.1-4
- change zathura.desktop Version to 1.0.

* Sat Aug 14 2010 François Cami <fcami@fedoraproject.org> 0.0.8.1-3
- add CFLAGS (Kevin Fenzi).
- use the debug target to generate the debuginfo rpm properly.
- add zathura.desktop file and install it.

* Sat Aug 14 2010 François Cami <fcami@fedoraproject.org> 0.0.8.1-2
- fix licensing, thanks to Dennis Johnson's review.

* Tue Aug 10 2010 François Cami <fcami@fedoraproject.org> 0.0.8.1-1
- initial package.

